See if execute bit is honoured when we go back in time
authorBryan O'Sullivan <bos@serpentine.com>
Fri, 26 Oct 2007 16:43:13 -0700
changeset 5490 bf2bb53e5d2b
parent 5489 3ab405e070bb
child 5508 2dd399d8a992
child 5516 f252ba975925
See if execute bit is honoured when we go back in time
tests/test-execute-bit
tests/test-execute-bit.out
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-execute-bit	Fri Oct 26 16:43:13 2007 -0700
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+hg init
+echo a > a
+hg ci -d'0 0' -Am'not executable'
+
+chmod +x a
+hg ci -d'1 0' -m'executable'
+hg id
+
+hg up 0
+hg id
+test -x a && echo executable -- eek || echo not executable -- whew
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-execute-bit.out	Fri Oct 26 16:43:13 2007 -0700
@@ -0,0 +1,5 @@
+adding a
+1549299e88d1 tip
+0 files updated, 0 files merged, 0 files removed, 0 files unresolved
+d69afc33ff8a
+not executable -- whew